> ## Documentation Index
> Fetch the complete documentation index at: https://docs.typeauth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new fraud and abuse prevention profile



## OpenAPI

````yaml openapi.json post /{account_id}/abuse/create
openapi: 3.0.0
info:
  title: Type Auth API
  description: >-
    API for managing applications, authentication, monitoring, and security
    features
  version: 1.0.0
servers:
  - url: https://api.typeauth.com
security: []
tags:
  - name: Application
    description: Application management endpoints
  - name: Token
    description: Token endpoints
  - name: JWT
    description: JWT configuration endpoints
  - name: Authentication
    description: Authentication endpoints
  - name: JWK
    description: JWK (JSON Web Key) management endpoints
  - name: Security
    description: Security and firewall configuration endpoints
  - name: Fraud and abuse prevention
    description: Abuse prevention and rate limiting endpoints
  - name: Monitor
    description: Application monitoring endpoints
  - name: Routing
    description: Route configuration endpoints
  - name: Tag
    description: Tag management endpoints
paths:
  /{account_id}/abuse/create:
    post:
      tags:
        - Abuse Prevention
      summary: Create a new fraud and abuse prevention profile
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAbuseProfileRequest'
      responses:
        '201':
          description: Abuse prevention profile created successfully
      security:
        - bearerAuth: []
components:
  schemas:
    CreateAbuseProfileRequest:
      type: object
      properties:
        name:
          type: string
        blocklist:
          type: array
          items:
            type: string
        exceptions:
          type: array
          items:
            type: string
        ratelimit:
          type: object
          properties:
            requests:
              type: string
              enum:
                - 1m
                - 100k
            interval:
              type: string
              enum:
                - 10s
                - 1m
                - 5m
                - 10m
        checkLocations:
          type: string
          enum:
            - cookie
            - header
        checkPropertyName:
          type: string
        geoSentry:
          type: string
          enum:
            - Permissive
            - Standard
            - Regional
            - Strict
        anomalyDetection:
          type: string
          enum:
            - Permissive
            - Standard
            - Regional
            - Strict

````